export default {
  methods: {
    finalAdjustResolver(gen,active) {
      const models = this.generation.activeModels.find(item => item.generation == gen).models
      this.formatRows.forEach(item => {
        const currentGroup = models.find(group => group.groupId == item.groupId)
        console.log(currentGroup)
        const groupIndicatorAll = models.reduce((prev,current)=> {
          const groupIndicator = current.groupIndicator >= 0 ? 0 : ( - current.groupIndicator)
          return prev + groupIndicator
        },0)
        item.towGroupIndicator = currentGroup.groupIndicator
        item.towSupplyBestIndicator = currentGroup.bestInIndicator || '/'
        item.towSupplyRankInBest = currentGroup.rankInBest ? `${currentGroup.rankInBest}/${currentGroup.bestInIndicator}` : '/'
        item.towSupplyRankInDisenroll = currentGroup.rankInDisenroll ? `${currentGroup.rankInDisenroll}/${groupIndicatorAll}`  : '/'
      })
      return {
        towGroupIndicator:{
          label:'二次补录超缺',
          slot:'underOver'
        },
        towSupplyBestIndicator:{
          label:'二次补录组合成绩最高人数'
        },
        towSupplyRankInBest:{
          label:'二次补录组合成绩最高人数排名'
        },
        towSupplyRankInDisenroll:{
          label:'二次补录人数排名'
        }
      }
    }
  }
}
